function window.onload()
{
	try
	{
		StartPageCheckbox.checked = window.external.ShowStartPage;
		if ( window.external.GetAppRelease != "Full" )
		{
			ManualLink.outerHTML = "";
		}
		if ( window.external.IsFirstTimeRun )
		{
			StartImg.src = "welcome.gif";
			if (window.external.GetAppName != "AiroPeek" && window.external.GetAppName != "AiroPeek NX")
			{
				APLink1.outerHTML = "";
			}
		}
		else
		{
			WelcomeText.outerHTML = "";
		}
		if (window.external.GetAppName != "AiroPeek" && window.external.GetAppName != "AiroPeek NX")
		{
			APLink2.outerHTML = "";
			APLink3.outerHTML = "";
			APLink4.outerHTML = "";
		}
		if (window.external.GetAppName != "GigaPeek NX")
		{
			GPLink1.outerHTML = "";
		}
	}
	catch(e)
	{
	}
}

function fnNewCapture()
{
	try {
		window.external.ExecuteCommand("New");
	}catch(e){
	}
}

function fnOpenCaptureFile()
{
	try {
		window.external.ExecuteCommand("Open");
	}catch(e){
	}
}

function fnToggleShowStartPage()
{
	try {
		window.external.ShowStartPage = StartPageCheckbox.checked;
	}catch(e){
	}
}

function fnGenerateMRUTable( inKind )
{
	try {
		document.write( window.external.GenerateMRUTableX( inKind ) );
	}catch(e){
	}
}

function fnStartMonitor()
{
	try {
		window.external.ExecuteCommand("Start Monitor");
	}catch(e){
	}
}
